File: changelog

package info (click to toggle)
libotr 4.1.1-3
  • links: PTS, VCS
  • area: main
  • in suites: buster
  • size: 3,116 kB
  • sloc: sh: 22,154; ansic: 11,885; makefile: 129
file content (289 lines) | stat: -rw-r--r-- 10,021 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284
285
286
287
288
289
libotr (4.1.1-3) unstable; urgency=medium

  [ Antoine Beaupré ]
  * Team upload.
  * fix Vcs-* URLs to point at salsa
  * set package to Multi-Arch: same as per QA
  * bump dh compat to 11, drop deps on dh-autoreconf and autotools-dev
  * bump policy to 4.1.2, no change
  * fix minor lintian warnings

  [ Andreas Metzler ]
  * B-d on libgcrypt20-dev instead of (dummy transition package)
    libgcrypt11-dev. (Closes: #864093)

 -- Antoine Beaupré <anarcat@debian.org>  Sat, 27 Oct 2018 10:31:51 -0400

libotr (4.1.1-2) unstable; urgency=medium

  * New Debian-specific patch: suggest pidgin-otr to Debian and Ubuntu users
    who have no OTR plugin, but whose communication peer requests
    an OTR conversation to. (Closes: #830796)
  * Declare compliance with Standards-Version 3.9.8.

 -- intrigeri <intrigeri@debian.org>  Sun, 14 Aug 2016 09:17:06 +0000

libotr (4.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Update upstream OpenPGP signing key.
  * Drop previously cherry-picked
    0002-Test-Add-new-test-suite-in-tests.patch: it is part
    of the new upstream release.
  * Declare compliance with Standards-Version 3.9.7 (no change required).
  * Update upstream copyright years.

 -- intrigeri <intrigeri@debian.org>  Thu, 10 Mar 2016 09:30:30 +0000

libotr (4.1.0-7) unstable; urgency=medium

  * Bump debhelper compat level to 9, accordingly bump
    the versioned build-dependency.
  * debian/*install: adjust paths for multiarch.
  * Revert "Don't run the test suite on Hurd: it depends on PATH_MAX":
    the failure happens during the build, not when running the tests.
  * Revert "Don't run the test suite on kfreebsd-*: the test suite
    utilities depend on epoll, and fail to build on kfreebsd.":
    the failure happens during the build, not when running the tests.
  * Disable the test suite on ppc64: it's brittle there too.

 -- intrigeri <intrigeri@debian.org>  Fri, 15 Jan 2016 16:44:23 +0000

libotr (4.1.0-6) unstable; urgency=low

  * Disable the test suite on:
    - hurd: it depends on PATH_MAX
    - kfreebsd-*: it depends on epoll
    - s390x: it's flaky

 -- intrigeri <intrigeri@debian.org>  Thu, 14 Jan 2016 20:27:50 +0000

libotr (4.1.0-5) unstable; urgency=low

  * Disable the test suite for architectures on which
    it is not robust… for real, this time.

 -- intrigeri <intrigeri@debian.org>  Thu, 14 Jan 2016 15:22:28 +0000

libotr (4.1.0-4) unstable; urgency=low

  * Disable the test suite for architectures on which it is not robust:
    hppa, mips, mipsel, powerpc, ppc64el.

 -- intrigeri <intrigeri@debian.org>  Thu, 14 Jan 2016 13:12:40 +0000

libotr (4.1.0-3) unstable; urgency=medium

  [ Ximin Luo ]
  * hand over package to pkg-privacy team

  [ intrigeri ]
  * Update debian/copyright: bump copyright years, fix licenses version,
    and generally be more precise.
  * debian/rules: separate targets with an empty line, for better clarity.
  * 0002-Test-Add-new-test-suite-in-tests.patch: cherry-pick new upstream
    test suite.
  * debian/rules: make test suite shell scripts executable before running them.
  * 0003-Disable-tests-that-fail-because-we-disable-the-API-v.patch: disable
    the tests that fail because we disable the API version check at runtime.
  * debian/copyright: add information about the upstream test suite.

 -- intrigeri <intrigeri@debian.org>  Tue, 12 Jan 2016 04:01:35 +0000

libotr (4.1.0-2) unstable; urgency=medium

  * New patch:
    0001-Do-not-error-out-when-an-application-is-run-against-.patch
    Do not error out when an application is run against an older libotr
    than the one it was built against: given libotr 4.1 is API- and
    ABI-compatible with libotr 4.0, let's prevent this runtime check
    from breaking packages that were built against 4.0 (Closes: #767230).
  * Add symbols file: now that we have removed upstream's version check
    at runtime, let's use the symbols mechanism to detect (most) ABI changes
    automatically, and let reverse-dependencies pick up the version
    of libotr they should depend on (Closes: #767652).
  * debian/README.source: document how to detect and handle ABI changes.

 -- intrigeri <intrigeri@debian.org>  Sat, 01 Nov 2014 18:36:49 +0100

libotr (4.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop all patches: applied upstream.
  * Migrate back to source format 3.0 (quilt), as per new team policy.
  * Drop unsupported italics from extended description. (Closes: #747271)
  * Import upstream signing key where uscan looks for it.
  * debian/watch: enable OpenPGP signature verification.
  * Declare compliance with Standards-Version 3.9.6 (no change required).
  * Use cgit for the Vcs-Browser control field.
  * Reformat debian/control with cme fix.

 -- intrigeri <intrigeri@debian.org>  Tue, 21 Oct 2014 22:12:42 +0200

libotr (4.0.0-3) unstable; urgency=medium

  * Put the package under the umbrella of the Debian OTR Team.
    Huge thanks to Thibaut VARENE <varenet@debian.org> for having maintained
    this package for many years!
  * Add Micah and myself as human uploaders.
  * Migrate back to source format 1.0. Accordingly integrate
    debian/patches/message_fragment_fix.patch in the tree:
    cherry-pick upstream commit d748757e.
  * Convert debian/copyright to machine-readable copyright format 1.0,
    update it.
  * Cleanup debian/control with cme, including:
    drop versioned dependencies satisfied in oldstable (Squeeze).
  * Declare compatibility with standards version 3.9.5.
  * Slightly improve long package descriptions, make it gender-neutral.
  * Update Homepage control field.
  * Convert to debhelper 8 with tiny rules file and dh-autoreconf.
  * Create copyright symlinks with dh_link instead of the real links,
    that are not supported with source format 1.0.
  * Override direct-changes-in-diff-but-no-patch-system Lintian warning:
    our team uses source format 1.0; the detail of patches can be found
    in Git and debian/changelog.
  * Enable all hardening flags.
  * Add Vcs-* control fields.
  * Update debian/watch to use the new HTTPS homepage.
  * Add README.source.

 -- intrigeri <intrigeri@debian.org>  Tue, 18 Feb 2014 21:51:28 +0100

libotr (4.0.0-2.2) unstable; urgency=low

  * Non-maintainer upload
  * Upload experimental version to unstable
  * Bump standards version: no changes

 -- Micah Anderson <micah@debian.org>  Fri, 10 May 2013 21:20:07 -0400

libotr (4.0.0-2.1) experimental; urgency=low

  * Non-maintainer upload.
  * Add message_fragment_fix.patch (Closes: #698746)

 -- Micah Anderson <micah@debian.org>  Sat, 09 Mar 2013 13:14:12 -0500

libotr (4.0.0-2) unstable; urgency=low

  * Remove Conflicts with libotr2 (Closes: #689667)

 -- Thibaut VARENE <varenet@debian.org>  Sat, 06 Oct 2012 11:51:03 +0200

libotr (4.0.0-1) unstable; urgency=low

  * New upstream release, upload to unstable

 -- Thibaut VARENE <varenet@debian.org>  Sat, 29 Sep 2012 12:04:49 +0200

libotr (4.0.0~rc3-1) experimental; urgency=low

  * New upstream pre-release

 -- Thibaut VARENE <varenet@debian.org>  Tue, 28 Aug 2012 01:04:46 +0200

libotr (4.0.0~rc1-1) experimental; urgency=low

  * New upstream pre-release (Closes: #685664)

 -- Thibaut VARENE <varenet@debian.org>  Fri, 24 Aug 2012 17:14:22 +0200

libotr (3.2.1-1) unstable; urgency=high

  * Fix potential buffer overflow in base64 routines (Closes: #684121)

 -- Thibaut VARENE <varenet@debian.org>  Tue, 07 Aug 2012 12:24:15 +0200

libotr (3.2.0-4) unstable; urgency=low

  * lintian cleanup:
    + remove dh_make template
    + switch to source format 3.0 quilt
    + fix missing copyright warning
    + fix debhelper build-depend versionning
    + add homepage field

 -- Thibaut VARENE <varenet@debian.org>  Mon, 26 Dec 2011 18:33:08 +0100

libotr (3.2.0-3) unstable; urgency=low

  * Ship libotr.pc (Closes: #590035)

 -- Thibaut VARENE <varenet@debian.org>  Mon, 31 Oct 2011 20:44:01 +0100

libotr (3.2.0-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Empty dependency_libs in libtool la file(s).
    http://wiki.debian.org/ReleaseGoals/LAFileRemoval Closes: #619674

 -- Andreas Metzler <ametzler@debian.org>  Sat, 18 Jun 2011 14:39:28 +0200

libotr (3.2.0-2) unstable; urgency=low

  * Fix outdated config.{sub,guess} (Closes: #529461)

 -- Thibaut VARENE <varenet@debian.org>  Wed, 11 Nov 2009 16:47:13 +0100

libotr (3.2.0-1) unstable; urgency=low

  * New upstream release

 -- Thibaut VARENE <varenet@debian.org>  Sun, 22 Jun 2008 22:48:01 +0200

libotr (3.1.0-2) unstable; urgency=low

  * Closes: #459458: -dev package now depends on libgcrypt11-dev

 -- Thibaut VARENE <varenet@debian.org>  Sun, 13 Jan 2008 18:42:33 +0100

libotr (3.1.0-1) unstable; urgency=low

  * New upstream release

 -- Thibaut VARENE <varenet@debian.org>  Mon, 20 Aug 2007 21:24:29 +0200

libotr (3.0.0+cvs20070515-1) unstable; urgency=low

  * Upstream snapshot to work with pidgin-otr (Closes: #423722)

 -- Thibaut VARENE <varenet@debian.org>  Tue, 15 May 2007 18:55:22 +0200

libotr (3.0.0-2) unstable; urgency=low

  * Fix typo: "malformed messahes" (Closes: #345400)

 -- Thibaut VARENE <varenet@debian.org>  Mon,  2 Jan 2006 19:52:18 +0100

libotr (3.0.0-1) unstable; urgency=low

  * New upstream release (closes: #337851)
  * Support for OTR protocol version 2

 -- Thibaut VARENE <varenet@debian.org>  Sat, 19 Nov 2005 00:08:41 +0100

libotr (2.0.2-1) unstable; urgency=high

  * New upstream release
  * Fixes a potential security issue (buffer overflow in src/privkey.c)

 -- Thibaut VARENE <varenet@debian.org>  Mon, 16 May 2005 18:53:59 +0200

libotr (2.0.1-1) unstable; urgency=low

  * New upstream release
  * First Debian upload (closes: #291261)

 -- Thibaut VARENE <varenet@debian.org>  Wed, 23 Feb 2005 20:20:06 +0100

libotr (2.0.0-1) unstable; urgency=low

  * New upstream release

 -- OTR Dev Team <otr@cypherpunks.ca>  Tue, 08 Feb 2005 15:00:13 -0500

libotr (1.99.0-1) unstable; urgency=low

  * Initial Release.

 -- OTR Dev Team <otr@cypherpunks.ca>  Wed, 02 Feb 2005 09:37:01 -0500